<?php
	if(file_exists("installer.log")) {
		$f = file_get_contents("installer.log");
		if($f != "") {
			exit("This application has already been installed.");
		}
	}
	function get_data($url) {
		$ch = curl_init();
		$timeout = 5;
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
		$data = curl_exec($ch);
		curl_close($ch);
		return $data;
	}
?><!DOCTYPE HTML>
<html>
	<head>
		<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>
		<title>Install SEO Studio 2</title>
		
		<link href="//fonts.googleapis.com/css?family=Open+Sans:400italic,600italic,400,600" rel="stylesheet">
		
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="keywords" content="">
		<meta name="description" content="">
		
		<link rel="stylesheet" href="//netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap.min.css">
		
		<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
		<script src="//netdna.bootstrapcdn.com/bootstrap/3.0.0/js/bootstrap.min.js"></script>
		
		<style>
			.container { max-width: 1000px; }
			.list-group-item-heading { margin: 6px 0; }
		</style>
	</head>
	<body>
		<div class="header">
			<nav class="navbar navbar-default navbar-inverse navbar-static-top" role="navigation">
				<div class="container">
					<div class="navbar-header">
						<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex4-collapse">
							<span class="sr-only">Toggle navigation</span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
						</button>
						<a class="navbar-brand" href="../">SEO STUDIO 2</a>
					</div>
					<div class="collapse navbar-collapse navbar-ex4-collapse">
						<p class="navbar-text pull-right">Installer for 2.5.1</p>
					</div>
				</div>
			</nav>
		</div>
		<div class="main">
			<div class="container">
				<div class="row">
					<div class="col-lg-3 col-sm-4 col-xs-12">
						<div class="list-group">
							<ul class="list-group">
								<li class="list-group-item active">1. Review Information</li>
								<li class="list-group-item active">2. Check Webserver</li>
								<li class="list-group-item">3. Configuration</li>
								<li class="list-group-item">4. Installation</li>
								<li class="list-group-item">5. Finished</li>
							</ul>
						</div>
					</div>
					
					<?php $canInstall = true; ?>
					
					<div class="col-lg-9 col-sm-8 col-xs-12">
						<div class="panel panel-primary">
							<div class="panel-heading">Compatibility Check</div>
							<div class="panel-body">
								<table class="table">
									<tr>
										<td style="border-top: 0;">
											<b>Safe Mode</b>
										</td>
										<td width="80" style="border-top: 0;">
											<?php if(ini_get('safe_mode')) { $canInstall = false; ?><span class="label label-danger">Enabled</span>
											<?php } else { ?><span class="label label-success">Disabled</span><?php } ?>
										</td>
									</tr>
									<tr>
										<td>
											<b>PHP CURL Extension</b>
										</td>
										<td width="80">
											<?php if(!function_exists('curl_exec')) { $canInstall = false; ?><span class="label label-danger">Missing</span>
											<?php } else { ?><span class="label label-success">Installed</span><?php } ?>
										</td>
									</tr>
									<tr>
										<td>
											<b>Write Permissions</b>
										</td>
										<td width="80">
											<?php
												$ok = false;
												
												$f = file_put_contents("installer.log", "[checksrv] Checking to see if I can write to this file...");
												if($f !== false) {
													$a = file_get_contents("installer.log");
													if(strpos($a, "Checking to see") !== false) {
														$ok = true;
														$f = file_put_contents("installer.log", "");
													}
												}
												
											?>
											<?php if(!$ok) { $canInstall = false; ?><span class="label label-danger">Failed</span><script>alert("The installer couldn't write data to the file installer.log. Ensure that the script has writing permissions.");
											<?php } else { ?><span class="label label-success">OK</span><?php } ?>
										</td>
									</tr>
								</table>
								<br />
								
								<?php if($canInstall) { ?>
								<div style="text-align: center;">
									<a href="configure.php" class="btn btn-lg btn-success">INSTALL NOW</a>
									<br /><br />
								</div>
								<?php } else { ?>
								<div style="text-align: center;">
									Cannot proceed. Please correct any red labels above to install.
									<br /><br />
								</div>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</body>
</html>
